Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 503992 - =mate-base/mate-desktop-1.7.90::mate-overlay Package requirements (dconf >= 0.10.0) were not met
Summary: =mate-base/mate-desktop-1.7.90::mate-overlay Package requirements (dconf >= 0...
Status: VERIFIED INVALID
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Linux bug wranglers
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-03-09 15:10 UTC by Thibaud "thican" CANALE
Modified: 2014-03-12 19:07 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
build log with DCONF check fail. (mate-base:mate-desktop-1.7.90:20140309-130141.log,9.06 KB, text/plain)
2014-03-11 21:22 UTC, Thibaud "thican" CANALE
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Thibaud "thican" CANALE 2014-03-09 15:10:25 UTC
Hello,

(Note: this bug is related to the mate-overlay, not in Gentoo Tree; please do not delete this bug without noticing the mainteners; I don't know who I should notice)

Lack of a required dependency when trying to compile =mate-base/mate-desktop-1.7.90::mate-overlay, as warned by make:


Emerging manually the package >=gnome-base/dconf-0.10.0 resolves the bug.

Reproducible: Always
Comment 1 Thibaud "thican" CANALE 2014-03-09 15:21:24 UTC
Hmm, sorry, I just press Enter and the form was sent … I don't know how I managed this… and impossible to undo or edit.

################


Hello,

(Note: this bug is related to the mate-overlay, not in Gentoo Tree; please do not delete this bug without noticing the mainteners; I don't know who I should notice)

Lack of a required dependency when trying to compile =mate-base/mate-desktop-1.7.90::mate-overlay, as warned by make:
configure: error: Package requirements (dconf >= 0.10.0) were not met:

No package 'dconf' found

Emerging manually the package >=gnome-base/dconf-0.10.0 resolves the bug.

Reproducible: Always

Steps to Reproduce:
1. layman -S && layman -a mate
2. emerge -va mate
3. the package mate-base:mate-desktop-1.7.90::mate-overlay will be emerged before >=gnome-base/dconf-0.10.

Expected Results:
Portage should emerge >=gnome-base/dconf-0.10.0 before mate-base:mate-desktop-1.7.90::mate-overlay

How to resolv:
* The good one: Add in ebuild (I don't know if I am right about ebuild development):
RDEPEND=">=gnome-base/dconf-0.10.0"
* The easy (but bad) one: emerge manually >=gnome-base/dconf-0.10.0
Comment 2 Alex Legler (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2014-03-09 15:30:14 UTC
% layman -i mate

 * mate
 * ~~~~
 * Source  : git://github.com/Sabayon/mate-overlay.git
 * Contact : lxnay@gentoo.org
 * Type    : Git; Priority: 50
 * Quality : experimental
 * 
 * Description:
 *   Sabayon MATE (GNOME fork) ebuilds that could be upstreamed at some point in future (when GNOME2 will be dropped from the main tree). Bugs to http://bugs.sabayon.org
 * 
…
Comment 3 Thibaud "thican" CANALE 2014-03-09 15:59:47 UTC
That's it? A “…” comment and a "RESOLVED" & INVALID" status?

I think this isn't a good work, and not even a thanks for the time I spent to do this report correctly.

Good bye.
Comment 4 Tom Wijsman (TomWij) (RETIRED) gentoo-dev 2014-03-10 10:10:20 UTC
Can you assume good faith?

The answer to "I don't know who I should notice" was given above...

The description tells where bugs go; we can't do more, it's outside our support.

Thank you for filing this bug!

(PS: In the Portage tree I'm adding MATE these days; from what can be seen, you use a masked version where breakage can be expected and I suggest you contact https://github.com/infirit directly if you want to skip going through Sabayon)
Comment 5 Thibaud "thican" CANALE 2014-03-10 14:13:29 UTC
Hello again,

Thanks for the contact, I hope this will help.

But I would like to bring into light an update:
Even the current [M]~1.6.2::gentoo version is concerned by this unmet dependency.

I know it is a Hard-masked package, but it's is obviously a unmet dependency bug in the ebuild file, not a bug linked to the program.
When MATE will be bring into gentoo's Portage tree, it will be great to have this unmet dependency fixed. ;-)

Best regards,
Comment 6 Tom Wijsman (TomWij) (RETIRED) gentoo-dev 2014-03-11 19:01:22 UTC
There's no dconf found in the tarball; so, it'll work in the Portage tree.

 $ cd /var/tmp/portage/mate-base/mate-desktop-1.6.2/work/mate-desktop-1.6.2/
 $ grep -ri dconf
acinclude.m4:    ESD_CFLAGS=`$ESD_CONFIG $esdconf_args --cflags`
acinclude.m4:    ESD_LIBS=`$ESD_CONFIG $esdconf_args --libs`
acinclude.m4:          echo "*** to the installed location  Also, make sure you have run ldconfig if that"
m4/libtool.m4:  finish_cmds='PATH="\$PATH:/sbin" ldconfig $libdir'
m4/libtool.m4:  finish_cmds='PATH="\$PATH:/sbin" ldconfig -n $libdir'
m4/libtool.m4:    finish_cmds='PATH="\$PATH:/sbin" ldconfig -m $libdir'
m4/libtool.m4:  finish_cmds='PATH="\$PATH:/sbin" ldconfig -m $libdir'
m4/libtool.m4:  finish_cmds='PATH="\$PATH:/usr/etc" ldconfig $libdir'
configure:  finish_cmds='PATH="\$PATH:/sbin" ldconfig $libdir'
configure:  finish_cmds='PATH="\$PATH:/sbin" ldconfig -n $libdir'
configure:    finish_cmds='PATH="\$PATH:/sbin" ldconfig -m $libdir'
configure:  finish_cmds='PATH="\$PATH:/sbin" ldconfig -m $libdir'
configure:  finish_cmds='PATH="\$PATH:/usr/etc" ldconfig $libdir'

Of course; when this gets added in 1.8, I'll notice this as part of the version bump. That version bump will be based on a diff on the tarball and thus noting the changes to the configure{,.ac,.in} files.
Comment 7 Thibaud "thican" CANALE 2014-03-11 21:22:35 UTC
Created attachment 372414 [details]
build log with DCONF check fail.
Comment 8 Thibaud "thican" CANALE 2014-03-11 21:26:10 UTC
(In reply to Tom Wijsman (TomWij) from comment #6)
> There's no dconf found in the tarball; so, it'll work in the Portage tree.

The DCONF check is in version 1.7.90, which is currently not in gentoo's tree, but in mate-overlay; sorry if I wasn't enough clear.

> Of course; when this gets added in 1.8, I'll notice this as part of the
> version bump. That version bump will be based on a diff on the tarball and
> thus noting the changes to the configure{,.ac,.in} files.

About the 1.8 version, which was released some days ago, do you have any ideas about when it will be available in mate-overlay? I will be glad to help you all if there is work to do, but I never did any ebuild before.

Best regards,
Comment 9 Tom Wijsman (TomWij) (RETIRED) gentoo-dev 2014-03-12 19:07:58 UTC
Bumping to 1.8 will happen after the import is done; as that import is planned for the rest of the week, I expect to start bumping to 1.8 next week. Working on ebuilds at the size of a desktop environment can be tricky; I suggest you to start small (write an ebuild for some package), and work it up from there.

https://wiki.gentoo.org/wiki/Basic_guide_to_write_Gentoo_Ebuilds

You can get ebuilds reviewed in #gentoo-dev-help on the Freenode IRC network; if you want, you can contact me on IRC too (name: TomWij).